Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

List Data Objects

List objects in the dataset's bucket. Use prefix to list a folder, and the version parameters to list object versions instead of current objects.

GET/datasets/{Dataset_Id}/objects/

Path parameters

  • Dataset_IdPathintegeroptional

    dataset id

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

  • prefixQuerystringoptional

    Prefix to filter objects in storage

    example
  • page_noQueryintegeroptional

    The page number from which you want your page search results to be displayed.

  • per_pageQueryintegeroptional

    Number of results per page

  • object_nameQuerystringoptional

    List versions of this one object. Omit to list versions of everything under prefix.

    exampletrain/images/example.png
  • recursiveQuerybooleanoptional

    List objects in nested folders as well.

Responses

200Successful response with no data.
object
codeinteger

HTTP status code for the operation.

example200
dataarray

An empty array indicating no results.

errorsobject

Any errors encountered during the operation.

messagestring

Result message of the operation.

exampleSuccess